Create a gig role invitation

​

Body·

required
application/json

Fields accepted when creating a gig role invitation. Unknown or read-only fields are rejected.

  • References gig_roles.id.

  • References staff_members.id.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/gig-role-invitations
curl https://api.hireorpheus.com/api/v1/gig-role-invitations \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "gig_role_id": null,
  "staff_member_id": null,
  "email_sent_at": null,
  "notes": null
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "gig_role_id": null,
    "staff_member_id": null,
    "invitation_number": null,
    "invited_at": null,
    "email_sent_at": null,
    "responded_at": null,
    "response": null,
    "notes": null,
    "created_time": "2026-10-14T08:02:53.591Z",
    "last_edited_time": "2026-10-14T08:02:53.591Z"
  }
}